POST /Command/GetTheLeastBusyUser
Identifies the user with the lowest current workload based on specified criteria.
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Online |
|
Optional |
Check if the users are online. (Options: “Yes“ or “No“) |
|
Least Incidents |
|
Optional |
Get users with least incidents. (Options: “Yes“ or “No“) |
|
Least Events |
|
Optional |
Get users with least events. (Options: “Yes“ or “No“) |
|
Least Pending Tasks |
|
Optional |
Get users with least pending tasks. (Options: “Yes“ or “No“) |
|
Randomize |
|
Optional |
If Randomize is Yes, return a list containing only one random qualified user. (Options: “Yes“ or “No“) |
|
Incident Number |
|
Optional |
If command not runs under a Playbook, incident number input is required.
|